package de.intevation.flys.client.shared.model;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultTheme implements Theme {

    protected int position;

    protected int index;

    protected int active;

    protected String artifact;

    protected String facet;

    protected String description;


    public DefaultTheme() {
    }


    public DefaultTheme(
        int     pos,
        int     index,
        int     active,
        String  art,
        String  facet,
        String  description)
    {
        this.position    = pos;
        this.index       = index;
        this.active      = active;
        this.artifact    = art;
        this.facet       = facet;
        this.description = description;
    }


    public int getPosition() {
        return position;
    }


    public void setPosition(int pos) {
        this.position = pos;
    }


    public int getIndex() {
        return index;
    }


    public int getActive() {
        return active;
    }


    public void setActive(int active) {
        this.active = active;
    }


    public String getArtifact() {
        return artifact;
    }


    public String getFacet() {
        return facet;
    }


    public String getDescription() {
        return description;
    }


    public void setDescription(String description) {
        this.description = description;
    }


    public boolean equals(Object o) {
        if (!(o instanceof DefaultTheme)) {
            return false;
        }

        DefaultTheme other = (DefaultTheme) o;

        if (other.position != position) {
            return false;
        }

        if (!other.artifact.equals(artifact)) {
            return false;
        }

        if (other.active != active) {
            return false;
        }

        if (!other.facet.equals(facet)) {
            return false;
        }

        if (!other.description.equals(description)) {
            return false;
        }

        if (other.index != index) {
            return false;
        }

        return true;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
